import django_filters
from .models import Device


class DeviceFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(lookup_expr="icontains")
    mac = django_filters.CharFilter(lookup_expr="icontains")
    user = django_filters.CharFilter(field_name='user__last_name', lookup_expr="icontains")

    class Meta:
        model = Device
        fields = "__all__"